<?php

/**
 * @author          Tassos.gr
 * @link            https://www.tassos.gr
 * @copyright       Copyright © 2024 Tassos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
*/

namespace NRFramework\Conditions\Conditions\Component;

defined('_JEXEC') or die;

class ContentCategory extends ContentBase
{
    /**
     * Shortcode aliases for this Condition
     */
    public static $shortcode_aliases = ['category'];

    /**
     *  Pass check
     *
     *  @return bool
     */
    public function pass()
    {
        $inSingle = in_array('inc_articles', $this->params->get('inc', []));
        $inCategory = in_array('inc_categories', $this->params->get('inc', []));

		$this->params->set('view_single', $inSingle);
		$this->params->set('view_category', $inCategory);

        return $this->passCategories();
	}
}